#include "hal_interface_keypad.h"
#include "hlog.h"

#define TAG "TAG_KEYPAD"
uint32_t hal_keypad_init(){
	uint32_t ret = 0;
	hlogi("%s ok", __func__);

	kpacket *packet = kpacket_new(EVENT_HAL_DAYNIGHT, 10); 
	if (packet){
        put_string(packet, "123456789");
		//hal_post(packet);
	}
	atomic_dec(packet);
INIT_ERR:	
	return ret;
}

uint32_t hal_keypad_deinit(){
	hlogi("%s ok", __func__);
	return 0;
}

DECLARE_INIT(PRI_AFTER_DRIVER, hal_keypad_init);
